version: 1
metadata:
  name: Mautic SAML Application
  labels:
    blueprintVersion: 1

entries:
- model: authentik_core.application
  id: mautic-app
  state: present
  attrs:
    name: Mautic - AImpress LTD
    slug: mautic
    provider: !KeyOf mautic-saml-provider
    meta_launch_url: https://marketing.ai-impress.com
    
- model: authentik_providers_saml.samlprovider
  id: mautic-saml-provider
  state: present
  attrs:
    name: Mautic SAML Provider
    acs_url: https://marketing.ai-impress.com/s/saml/acs
    audience: https://marketing.ai-impress.com
    issuer: https://auth.ai-impress.com
    sp_binding: post
    sign_response: true
    sign_assertion: true
    authn_context_class_ref_mapping:
      default: urn:oasis:names:tc:SAML:2.0:ac:classes:Password
    name_id_mapping: !Find [authentik_sources_saml.samlsource, [name, default]]
    default_relay_state: https://marketing.ai-impress.com
    assertion_valid_not_before: minutes=-5
    assertion_valid_not_on_or_after: minutes=5
    session_valid_not_on_or_after: minutes=86400
